CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

MaxActiveViewports Property (ActiveX)

2023-1-3 11:17| 发布者: admin| 查看: 583| 评论: 0|来自: AutoCAD

摘要: 指定活动视口的最大数量。

指定活动视口的最大数量。

支持的平台:仅窗口

签名

工 务 局:

object.MaxActiveViewports
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:整数

活动视口的最大数量;2 <= 最大活动视口 <= 48

言论

非活动视口为空,因此不会重新生成其内容。因此,您可以通过指定较低的值来提高性能。初始值为 48。

注意:此属性的值存储在 MAXACTVP 系统变量中。

例子

工 务 局:

Sub Example_MaxActiveViewports()
    ' This example returns the current setting of
    ' MaxActiveViewports. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim currMaxActiveViewports As Integer
    Dim newMaxActiveViewports As Integer
    
    ' Retrieve the current MaxActiveViewports value
    currMaxActiveViewports = ThisDrawing.preferences.MaxActiveViewports
    MsgBox "The current value for MaxActiveViewports is " & currMaxActiveViewports, vbInformation, "MaxActiveViewports Example"
    
    ' Change the value for MaxActiveViewports
    newMaxActiveViewports = 20
    ThisDrawing.preferences.MaxActiveViewports = newMaxActiveViewports
    MsgBox "The new value for MaxActiveViewports is " & newMaxActiveViewports, vbInformation, "MaxActiveViewports Example"
    
    ' Reset MaxActiveViewports to its original value
    ThisDrawing.preferences.MaxActiveViewports = currMaxActiveViewports
    MsgBox "The MaxActiveViewports value is reset to " & currMaxActiveViewports, vbInformation, "MaxActiveViewports Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_MaxActiveViewports()
    ;; This example returns the current setting of
    ;; MaxActiveViewports. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; Retrieve the current MaxActiveViewports value
    (setq currMaxActiveViewports (vla-get-MaxActiveViewports preferences))
    (alert (strcat "The current value for MaxActiveViewports is " (itoa currMaxActiveViewports)))
    
    ;; Change the value for MaxActiveViewports
    (setq newMaxActiveViewports 20)
    (vla-put-MaxActiveViewports preferences newMaxActiveViewports)
    (alert (strcat "The new value for MaxActiveViewports is " (itoa newMaxActiveViewports)))
    
    ;; Reset MaxActiveViewports to its original value
    (vla-put-MaxActiveViewports preferences currMaxActiveViewports)
    (alert (strcat "The MaxActiveViewports value is reset to " (itoa currMaxActiveViewports)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 15:02

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部